@import "common/reset";
@import "common/animation";
@import 'https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,300;1,400;1,500;1,700;1,900&display=swap';

*{
    font-family: 'Roboto', sans-serif;
}

.dnone{
    display: none ;
}

.main{
    flex: 1 0 auto;
}

.footer{
    flex: 0 0 auto;
}

.wrapper{
    display: flex;
    flex-direction: column;
    margin: 0 30px;
}

body{
    background-color: #F8F7F7;
}


// header 
header{
    font-size: 30px;
}

.container{
    display: flex;
    flex-direction: column;
    height: 100%;
}

.header{
    margin-top: 55px;
    &__wrapper{
        display: grid;
        grid-template: 1fr/1fr minmax(auto , 300px) minmax(auto , 420px) minmax(auto , 720px) 1fr;
        align-items: flex-end;
        margin: 0 30px;
    }
    &__title{
        grid-column-start: 2;
        a{
            img{
                transition: 2s;
            }
        }
        a:hover img{
            transition: 2s;
            border-radius: 144px;
        }
    }
    &__navigation{
        ul{
            display: flex;
            li {
                a {
                    color: black;
                    margin-left: 60px;
                    font-weight: 300;
                    transition: border-bottom 0.7s;
                }
                a:first-child {
                    margin-left: 20px;
                }
                a:hover {
                    border-bottom: #201F4A 3px solid;
                }
            }
        }
    }
    &__registration{
        display: flex;
        align-items: flex-end;
        justify-content: end;
        .regisration__link-border{
            background-color: #201F4A;
            padding: 13px 39px;
            color: white;
            border-radius: 144px;
            margin-bottom: -13px;
        }
        a{
            color: black;
            font-weight: 300;
            margin-left: 61px;
        }
        a:first-child{
            margin-left: 0;
        }
    }
    &__burger{
        z-index: 3;
        display: none;
        span{
            background-color: black;
            width: 55px;
            height: 6px;
            margin-top: 0;
            transition: 0.4s linear;
        }
        .burger__span{
            margin-top: 10px;
        }
    }
}

@media screen and (max-width:1244px ){
    .header__id{
        display: none !important;
    }
    .header__navigation{
        display: none;
    }
    .header__registration{
        display: none;
    }
    .header__burger{
        align-items: flex-end;
        display: flex;
        flex-direction: column;
        grid-column-start: 4;
    }
}
    

// end heeader


// section green vacanse

.vacanse-for-you{
    margin-top: 80px;
    &__wrapper{
        margin: 0 30px;
        display: grid;
        grid-template: 1fr/1fr minmax(auto , 1440px) 1fr;
    }
    &__border-box{
        border-radius: 100px;
        background-color: #8CFB65;
        grid-column-start: 2;
        padding: 80px;
        h1{

            font-size: 110px;
            font-weight: 800;
            margin-bottom: 90px;
        }
        a{
            font-size: 35px;
            font-weight: 500;
            background-color: #201F4A;
            padding: 10px 95px;
            color: white;
            border-radius: 17px;
        }
    }
}


// vacanse html
.main{
    margin-top: 50px;
}

.vacanses{
    margin-top: 40px;
    &__wrapper{
        display: grid;
        grid-template: 1fr / 1fr minmax(auto , 1440px) 1fr;
        margin: 0 30px;
    }
    &__list{
        grid-column-start: 2;
        .list__item{
            border: 2px rgb(187, 187, 187) solid;
            border-radius: 15px;
            margin-bottom: 30px;
            .item__detail{
                margin-top: 20px;
            }
            .item__phone{
                margin-top: 20px;
            }
            .item-column{
                padding: 30px;
                .item__headding{
                    color: #201F4A;
                    font-size: 28px;
                    font-weight: 600;
                }
                .item__mini-info{
                    font-weight: 100;
                    margin-top: 10px;
                    margin-bottom: 40px;
                }
                .item__detail{
                    color: white;
                    background-color: #3495db;
                    padding: 10px 35px;
                    border-radius: 7px;
                }
                .item__phone{
                    background-color: #ebedf0;
                    color: #081935;
                    padding: 10px 45px;
                    border-radius: 5px;
                    margin-left: 30px;
                }
            }
        }
    }
    .box-for-button{
        display: flex;
        flex-direction: row;
    }
    &__add{
        grid-column-start: 2;
        margin-bottom: 40px;
        display: flex;
        justify-content: flex-end;
        a{
            background-color: #201F4A;
            color: white;
            padding: 10px 30px;
            border-radius: 30px;
            font-weight: 300;
            font-size: 30px;
        }
    }

}

// otdelnay vacansiya
.all-info-vacanse{
    margin-top: 80px;
    .vacanses__box{
        grid-column-start: 2;
        color: #201F4A;
        .vacanse__headding{
            font-size: 35px;
            font-weight: 600;
        }
        .vacanse__mini-info{
            font-size: 20px;
            font-weight: 300;
            margin-top: 30px;
        }
        .vacanse__main-text{
            font-size: 15px;
            font-weight: 500;
            margin-top: 30px;
        }
    }
}

// popularniye vacansii 

.popular-vacanses{
    padding: 30px 0;
    margin-top: 133px;
    background-color: #ECECEC;
    &__headding{
        grid-column-start: 2;
        display: flex;
        text-align: center;
        font-size: 97px;
        font-weight: 800;
    }
    &__down-side{
        margin-top: 30px;
        display: grid;
        grid-template: repeat(auto-fill , minmax(auto , 600px)) / repeat(auto-fill , minmax(auto , 711px));
        grid-gap: 18px;
        grid-column-start: 2;
        justify-content: center;
        .down-side__box{
            display: flex;
            align-items: center;
            justify-content: center;
            flex-direction: column;
            text-align: center;
            img{
                width: 90%;
                height: 90%;
            }
            p{
                font-size: 55px;
                font-weight: 800;
            }
        }
    }
}

// dobavit vacansiu
.footer{
    padding: 20px 0;
    background-color: #2a3239;
    p{
        color: white;
    }
    p:last-child{
        margin-top:15px ;
    }
    &__wrapper{
        display: flex;
        flex-direction: column;
        text-align: center;
        max-width: 1440px;
        padding: 10px 0;
        margin: 0 auto;
    }
}

.header__id{
    display: flex;
    justify-content: flex-end;
    .header__logout{
        color: black;
        font-weight: 300;
        margin-left:35px;
    }
    .header__user{
        font-weight: 300;
    }
}

.vacanses-rabotadatel{
    margin-top: 25px;
    .alert{
        display: flex;
        max-width: 1440px;
        justify-content: center;
        margin: 0 auto;
        padding: 0 10px;
    }
    .vacanses-rabotadatel__add{
        max-width: 1440px;
        margin: 0 auto;
        padding: 0 10px;
        display: flex;
        justify-content: center;
    }
}

.helptext{
    display: none;
}

.form__wrapper{
    display: flex;
    max-width: 1440px;
    margin: 0 auto;
    padding: 0 10px;
    text-align: center;
    flex-direction: column;
    h1{
        font-size: 26px;
        font-weight: 600;
    }
    form{
        display: flex;
        flex-direction: column;
        min-width: 500px;
        margin: 0 auto;
        button{
            padding: 15px;
            background-color: #081935;
            color: white;
            margin-top: 30px;
        }
        label{
            margin-top: 10px;
            font-size: 16px;
        }
        input{
            padding: 12px;
            margin-top: 15px;
        }
    }
}

textarea{
    margin-top: 15px;
    padding: 12px;
}

.item__detail:hover{
    padding: 9px 34px !important;
    color: #3495db !important;
    background-color: white !important;
    border: 1px #3495db solid;
}


.install-app{
    &__wrapper{
        justify-content: space-between;
        display: flex;
        max-width: 1440px;
        margin: 0 auto;
        padding: 0 10px;
    }
}

.header__user{
    border-right:2px solid rgb(13, 37, 69);
    padding-right:35px ;
}

.install-app__left-box{
    text-align: center;
    justify-content: center;
    display: flex;
    flex-direction: column;
}

.install-app__headding{
    font-size: 26px;
    font-weight: 800;
}
.install-app__text{
    font-size: 18px;
}

.install-app{
    margin-top: 30px;
}

.install-app__center-box{
    display: flex;
    justify-content: center;
    align-items: center;
}
.center-box__img{
    width: 70%;
}

.install-app__right-box{
    display: flex;
    justify-content: center;
    align-items: flex-end;
}
.right-box__img{
    width: 80%;
}

.vacanses-rabotadatel__add{
    display: flex;
    flex-direction: column;
    gap: 15px;
}

.vacanses__search{
    display: flex;
    justify-content: center;
    align-items: center;
    margin-bottom: 25px;
    .search__input{
        min-width: 600px;
        padding: 14px;
    }
    .search__label{
        display: none;
    }
    .search__button{
        padding: 14px 14px;
    }
}


.about{
    margin-top: 30px;
}
.about__wrapper{
    display: flex;
    flex-direction: column;
    max-width: 1440px;
    justify-content: center;
    text-align: center;
    margin: 0 auto;
    padding: 0 30px;
}
.about__headding{
    font-size: 60px;
    font-weight: 800;
}
.about__text{
    font-size: 30px;
}

// Paginator_nav

.vacanses__nav{
    margin-bottom: 20px;
}

.nav__list{
    display: flex;
    flex-direction: row;
    gap: 3%;
    justify-content: center;
}

.nav__link{
    background-color: #3495db;
    color:#ECECEC ;
    border: #3495db 1px solid;
    border-radius: 10px;
    padding: 8px 15px;
    font-size: 1.4rem;
}

.active__page{
    color:#3495db ;
    font-size: 1.4rem;
}

.nav__link:hover{
    background-color: #ECECEC ;
    color:#3495db ;
}

.comments{
    margin-top: 100px;
}



@media screen and (min-width:1024px) {
    footer{
        p{
            font-size: 23px;
        }
    }
}

@media screen and (max-width:800px) {
    .about__headding{
        font-size: 40px;
    }
    .about__text{
        font-size: 20px;
    }
    .item__headding{
        font-size: 20px !important;
    }
    .search__input{
        min-width: 300px !important;
    }
    .form__wrapper{
        form{
            min-width: 350px ;
        }
    }
    .vacanses__add{
        a{
            font-size: 20px;
        }
    }
    .popular-vacanses{
        margin-top: 60px;
    }
    .vacanse-for-you{
        margin-top: 40px;
    }
    .main{
        margin-top: 20px;
    }
    .vacanse-for-you__border-box{
        h1{
            font-size: 48px;
        }
    }
    .popular-vacanses__headding{
        p{
            font-size: 48px;
        }
    }
    .vacanse-for-you__border-box{
        a{
            font-size: 25px;
        }
    }
    .popular-vacanses__down-side{
        display: flex;
        flex-direction: column;
        align-items: center;
        .down-side__box{
            margin-top: 10px;
            img{
                width: 300px;
                height: 200px;
            }
            p{
                font-size: 22px !important;
            }
        }
    }
    .vacanse-for-you__border-box{
        padding: 60px;
    }
    .vacanse-for-you__title{
        margin-bottom: 50px !important;
    }
}

@media screen and (max-width:550px){
    .about__headding{
        font-size: 30px;
    }
    .about__text{
        font-size: 15px;
    }
    .search__input{
        min-width: 200px !important;
    }
    .form__wrapper{
        form{
            min-width: 300px ;
            button{
                margin-top: 30px;
            }
            label{
                margin-top: 8px;
                font-size: 12px;
            }
            input{
                padding: 12px;
                margin-top: 12px;
            }
        }
        h1{
            font-size: 19px;
            font-weight: 600;
        }
    }
    .vacanses__add{
        a{
            font-size: 13px;
        }
    }
    .item__phone{
        padding: 10px 35px !important;
    }
    .item-column{
        padding: 20px !important;
    }
    .box-for-button{
        flex-direction: column !important;
    }
    .item__phone{
        margin-left: 0 !important;
    }
    .logo{
        width: 200px;
    }

    .header__burger{
        span{
            width: 40px;
            height: 4px;
        }
    }
    .vacanse-for-you__border-box{
        padding: 40px;
        border-radius: 60px;
    }
    .vacanse-for-you__title{
        margin-bottom: 30px !important;
        font-size: 38px !important;
    }
    .vacanse-for-you__button{
        font-size: 18px !important;
        padding: 5px 40px !important;
    }
    .popular-vacanses__title{
        font-size: 38px !important;
    }
    .vacanse-for-you{
        margin-top: 30px;
    }
}

@media screen and (max-width:600px) {
    .install-app__wrapper{
        flex-direction: column;
    }
}


@media screen and (max-width:400px){
    .search__input{
        min-width: 100% !important;
    }
    .item-column{
        padding: 15px !important;
    }
    .install-app__center-box{
        margin-top: 10px;
    }
    .burger-menu__link{
        font-size: 15px !important;
    }
    .burger-menu__item:first-child{
        margin-top: 30px !important;
    }
    .popular-vacanses__title{
        font-size: 30px !important;
    }
    .down-side__box{
        margin-top: 10px;
        img{
            width: 230px !important;
            height: 140px !important;
        }
    }    
    .popular-vacanses{
        margin-top: 30px;
    }
    .vacanse-for-you__border-box{
        padding: 20px;
        border-radius: 40px;
    }
    .vacanse-for-you__title{
        font-size: 27px !important;
    }
    .vacanse-for-you__button{
        padding: 5px 30px !important;
    }
    .popular-vacanses__down-side{
        margin-top: 15px;
    }
    .logo{
        width: 180px;
    }
    .header__burger{
        span{
            width: 20px;
            height: 4px;
        }
    }
}




@media print {
    header{
        display: none;
    }
    footer{
        display: none;
    }
    .vacanse-for-you{
        display: none;
    }
    *{
        margin: 0 !important;
        padding: 0 !important;
    }
}